﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="TooJaVileModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012.Azure" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Album">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="CreatorId" Type="int" Nullable="false" />
          <Property Name="Description" Type="nvarchar(max)" />
          <Property Name="CoverPictureId" Type="int" />
          <Property Name="Created" Type="datetime" Nullable="false" />
        </EntityType>
        <EntityType Name="DataFile">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Content" Type="varbinary(max)" Nullable="false" />
          <Property Name="ContentType" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="FileName" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="Created" Type="datetime" Nullable="false" />
        </EntityType>
        <EntityType Name="Department">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="SortId" Type="int" Nullable="false" />
          <Property Name="PictureId" Type="int" />
        </EntityType>
        <EntityType Name="Person">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Email" Type="nvarchar" MaxLength="128" />
          <Property Name="FirstName" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="LastName" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="BirthDate" Type="datetime" Nullable="false" />
          <Property Name="PictureId" Type="int" />
          <Property Name="DepartmentId" Type="int" />
          <Property Name="IsManager" Type="bit" Nullable="false" />
          <Property Name="IsAccountant" Type="bit" Nullable="false" />
          <Property Name="ParentId" Type="int" />
          <Property Name="IsStudent" Type="bit" Nullable="false" />
          <Property Name="VacationDays" Type="int" />
        </EntityType>
        <EntityType Name="Photo">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="AlbumId" Type="int" Nullable="false" />
          <Property Name="PictureId" Type="int" Nullable="false" />
          <Property Name="Created" Type="datetime" Nullable="false" />
        </EntityType>
        <EntityType Name="Vacation">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="PersonId" Type="int" Nullable="false" />
          <Property Name="StartDate" Type="datetime" />
          <Property Name="EndDate" Type="datetime" />
          <Property Name="VacationState" Type="int" Nullable="false" />
          <Property Name="VacationType" Type="int" Nullable="false" />
          <Property Name="AlbumId" Type="int" />
        </EntityType>
        <Association Name="FK__Album__CreatorId__6E01572D">
          <End Role="Person" Type="Self.Person" Multiplicity="1" />
          <End Role="Album" Type="Self.Album" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Album">
              <PropertyRef Name="CreatorId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Departmen__Pictu__5BE2A6F2">
          <End Role="DataFile" Type="Self.DataFile" Multiplicity="0..1" />
          <End Role="Department" Type="Self.Department" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Department">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__Departme__5FB337D6">
          <End Role="Department" Type="Self.Department" Multiplicity="0..1" />
          <End Role="Person" Type="Self.Person" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Department">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person">
              <PropertyRef Name="DepartmentId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__ParentId__628FA481">
          <End Role="Person" Type="Self.Person" Multiplicity="0..1" />
          <End Role="Person1" Type="Self.Person" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person1">
              <PropertyRef Name="ParentId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__PictureI__5EBF139D">
          <End Role="DataFile" Type="Self.DataFile" Multiplicity="0..1" />
          <End Role="Person" Type="Self.Person" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Photo__AlbumId__70DDC3D8">
          <End Role="Album" Type="Self.Album" Multiplicity="1" />
          <End Role="Photo" Type="Self.Photo" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Album">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Photo">
              <PropertyRef Name="AlbumId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Photo__PictureId__71D1E811">
          <End Role="DataFile" Type="Self.DataFile" Multiplicity="1" />
          <End Role="Photo" Type="Self.Photo" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Photo">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Vacation__AlbumI__72C60C4A">
          <End Role="Album" Type="Self.Album" Multiplicity="0..1" />
          <End Role="Vacation" Type="Self.Vacation" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Album">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Vacation">
              <PropertyRef Name="AlbumId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Vacation__Person__66603565">
          <End Role="Person" Type="Self.Person" Multiplicity="1" />
          <End Role="Vacation" Type="Self.Vacation" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Vacation">
              <PropertyRef Name="PersonId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="TooJaVileModelStoreContainer">
          <EntitySet Name="Album" EntityType="Self.Album" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="DataFile" EntityType="Self.DataFile" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Department" EntityType="Self.Department" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Person" EntityType="Self.Person" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Photo" EntityType="Self.Photo" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Vacation" EntityType="Self.Vacation" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK__Album__CreatorId__6E01572D" Association="Self.FK__Album__CreatorId__6E01572D">
            <End Role="Person" EntitySet="Person" />
            <End Role="Album" EntitySet="Album" />
          </AssociationSet>
          <AssociationSet Name="FK__Departmen__Pictu__5BE2A6F2" Association="Self.FK__Departmen__Pictu__5BE2A6F2">
            <End Role="DataFile" EntitySet="DataFile" />
            <End Role="Department" EntitySet="Department" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__Departme__5FB337D6" Association="Self.FK__Person__Departme__5FB337D6">
            <End Role="Department" EntitySet="Department" />
            <End Role="Person" EntitySet="Person" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__ParentId__628FA481" Association="Self.FK__Person__ParentId__628FA481">
            <End Role="Person" EntitySet="Person" />
            <End Role="Person1" EntitySet="Person" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__PictureI__5EBF139D" Association="Self.FK__Person__PictureI__5EBF139D">
            <End Role="DataFile" EntitySet="DataFile" />
            <End Role="Person" EntitySet="Person" />
          </AssociationSet>
          <AssociationSet Name="FK__Photo__AlbumId__70DDC3D8" Association="Self.FK__Photo__AlbumId__70DDC3D8">
            <End Role="Album" EntitySet="Album" />
            <End Role="Photo" EntitySet="Photo" />
          </AssociationSet>
          <AssociationSet Name="FK__Photo__PictureId__71D1E811" Association="Self.FK__Photo__PictureId__71D1E811">
            <End Role="DataFile" EntitySet="DataFile" />
            <End Role="Photo" EntitySet="Photo" />
          </AssociationSet>
          <AssociationSet Name="FK__Vacation__AlbumI__72C60C4A" Association="Self.FK__Vacation__AlbumI__72C60C4A">
            <End Role="Album" EntitySet="Album" />
            <End Role="Vacation" EntitySet="Vacation" />
          </AssociationSet>
          <AssociationSet Name="FK__Vacation__Person__66603565" Association="Self.FK__Vacation__Person__66603565">
            <End Role="Person" EntitySet="Person" />
            <End Role="Vacation" EntitySet="Vacation" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="TooJaVileModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="DataFile">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Content" Type="Binary" MaxLength="Max" FixedLength="false" Nullable="false" />
          <Property Name="ContentType" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="FileName" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Created" Type="DateTime" Nullable="false" Precision="3" />
          <NavigationProperty Name="Departments" Relationship="TooJaVileModel.FK__Departmen__Pictu__5BE2A6F2" FromRole="DataFile" ToRole="Department" />
          <NavigationProperty Name="People" Relationship="TooJaVileModel.FK__Person__PictureI__5EBF139D" FromRole="DataFile" ToRole="Person" />
          <NavigationProperty Name="Photos" Relationship="TooJaVileModel.FK__Photo__PictureId__71D1E811" FromRole="DataFile" ToRole="Photo" />
        </EntityType>
        <EntityContainer Name="TooJaVileEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="DataFiles" EntityType="Self.DataFile" />
          <EntitySet Name="Departments" EntityType="TooJaVileModel.Department" />
          <EntitySet Name="People" EntityType="TooJaVileModel.Person" />
          <EntitySet Name="Vacations" EntityType="TooJaVileModel.Vacation" />
          <AssociationSet Name="FK__Departmen__Pictu__5BE2A6F2" Association="TooJaVileModel.FK__Departmen__Pictu__5BE2A6F2">
            <End Role="DataFile" EntitySet="DataFiles" />
            <End Role="Department" EntitySet="Departments" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__PictureI__5EBF139D" Association="TooJaVileModel.FK__Person__PictureI__5EBF139D">
            <End Role="DataFile" EntitySet="DataFiles" />
            <End Role="Person" EntitySet="People" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__Departme__5FB337D6" Association="TooJaVileModel.FK__Person__Departme__5FB337D6">
            <End Role="Department" EntitySet="Departments" />
            <End Role="Person" EntitySet="People" />
          </AssociationSet>
          <AssociationSet Name="FK__Person__ParentId__628FA481" Association="TooJaVileModel.FK__Person__ParentId__628FA481">
            <End Role="Person" EntitySet="People" />
            <End Role="Person1" EntitySet="People" />
          </AssociationSet>
          <AssociationSet Name="FK__Vacation__Person__66603565" Association="TooJaVileModel.FK__Vacation__Person__66603565">
            <End Role="Person" EntitySet="People" />
            <End Role="Vacation" EntitySet="Vacations" />
          </AssociationSet>
          <EntitySet Name="Photos" EntityType="TooJaVileModel.Photo" />
          <AssociationSet Name="FK__Photo__PictureId__71D1E811" Association="TooJaVileModel.FK__Photo__PictureId__71D1E811">
            <End Role="DataFile" EntitySet="DataFiles" />
            <End Role="Photo" EntitySet="Photos" />
          </AssociationSet>
          <EntitySet Name="Albums" EntityType="TooJaVileModel.Album" />
          <AssociationSet Name="FK__Album__CreatorId__6E01572D" Association="TooJaVileModel.FK__Album__CreatorId__6E01572D">
            <End Role="Person" EntitySet="People" />
            <End Role="Album" EntitySet="Albums" />
          </AssociationSet>
          <AssociationSet Name="FK__Photo__AlbumId__70DDC3D8" Association="TooJaVileModel.FK__Photo__AlbumId__70DDC3D8">
            <End Role="Album" EntitySet="Albums" />
            <End Role="Photo" EntitySet="Photos" />
          </AssociationSet>
          <AssociationSet Name="FK__Vacation__AlbumI__72C60C4A" Association="TooJaVileModel.FK__Vacation__AlbumI__72C60C4A">
            <End Role="Album" EntitySet="Albums" />
            <End Role="Vacation" EntitySet="Vacations" />
          </AssociationSet>
        </EntityContainer>
        <EntityType Name="Department">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" Nullable="false" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="SortId" Type="Int32" Nullable="false" />
          <Property Name="PictureId" Type="Int32" />
          <NavigationProperty Name="DataFile" Relationship="TooJaVileModel.FK__Departmen__Pictu__5BE2A6F2" FromRole="Department" ToRole="DataFile" />
          <NavigationProperty Name="People" Relationship="TooJaVileModel.FK__Person__Departme__5FB337D6" FromRole="Department" ToRole="Person" />
        </EntityType>
        <EntityType Name="Person">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Email" Type="String" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="FirstName" Type="String" Nullable="false" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="LastName" Type="String" Nullable="false" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="BirthDate" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="PictureId" Type="Int32" />
          <Property Name="DepartmentId" Type="Int32" />
          <Property Name="IsManager" Type="Boolean" Nullable="false" />
          <Property Name="IsAccountant" Type="Boolean" Nullable="false" />
          <Property Name="ParentId" Type="Int32" />
          <Property Name="IsStudent" Type="Boolean" Nullable="false" />
          <Property Name="VacationDays" Type="Int32" />
          <NavigationProperty Name="DataFile" Relationship="TooJaVileModel.FK__Person__PictureI__5EBF139D" FromRole="Person" ToRole="DataFile" />
          <NavigationProperty Name="Department" Relationship="TooJaVileModel.FK__Person__Departme__5FB337D6" FromRole="Person" ToRole="Department" />
          <NavigationProperty Name="Person1" Relationship="TooJaVileModel.FK__Person__ParentId__628FA481" FromRole="Person" ToRole="Person1" />
          <NavigationProperty Name="Person2" Relationship="TooJaVileModel.FK__Person__ParentId__628FA481" FromRole="Person1" ToRole="Person" />
          <NavigationProperty Name="Vacations" Relationship="TooJaVileModel.FK__Vacation__Person__66603565" FromRole="Person" ToRole="Vacation" />
          <NavigationProperty Name="Albums" Relationship="TooJaVileModel.FK__Album__CreatorId__6E01572D" FromRole="Person" ToRole="Album" />
        </EntityType>
        <EntityType Name="Vacation">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="PersonId" Type="Int32" Nullable="false" />
          <Property Name="StartDate" Type="DateTime" Precision="3" />
          <Property Name="EndDate" Type="DateTime" Precision="3" />
          <Property Name="VacationState" Type="Int32" Nullable="false" />
          <Property Name="VacationType" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Person" Relationship="TooJaVileModel.FK__Vacation__Person__66603565" FromRole="Vacation" ToRole="Person" />
          <Property Name="AlbumId" Type="Int32" />
          <NavigationProperty Name="Album" Relationship="TooJaVileModel.FK__Vacation__AlbumI__72C60C4A" FromRole="Vacation" ToRole="Album" />
        </EntityType>
        <Association Name="FK__Departmen__Pictu__5BE2A6F2">
          <End Type="TooJaVileModel.DataFile" Role="DataFile" Multiplicity="0..1" />
          <End Type="TooJaVileModel.Department" Role="Department" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Department">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__PictureI__5EBF139D">
          <End Type="TooJaVileModel.DataFile" Role="DataFile" Multiplicity="0..1" />
          <End Type="TooJaVileModel.Person" Role="Person" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__Departme__5FB337D6">
          <End Type="TooJaVileModel.Department" Role="Department" Multiplicity="0..1" />
          <End Type="TooJaVileModel.Person" Role="Person" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Department">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person">
              <PropertyRef Name="DepartmentId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Person__ParentId__628FA481">
          <End Type="TooJaVileModel.Person" Role="Person" Multiplicity="0..1" />
          <End Type="TooJaVileModel.Person" Role="Person1" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Person1">
              <PropertyRef Name="ParentId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Vacation__Person__66603565">
          <End Type="TooJaVileModel.Person" Role="Person" Multiplicity="1" />
          <End Type="TooJaVileModel.Vacation" Role="Vacation" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Vacation">
              <PropertyRef Name="PersonId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityType Name="Photo">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="AlbumId" Type="Int32" Nullable="false" />
          <Property Name="PictureId" Type="Int32" Nullable="false" />
          <Property Name="Created" Type="DateTime" Nullable="false" Precision="3" />
          <NavigationProperty Name="DataFile" Relationship="TooJaVileModel.FK__Photo__PictureId__71D1E811" FromRole="Photo" ToRole="DataFile" />
          <NavigationProperty Name="Album" Relationship="TooJaVileModel.FK__Photo__AlbumId__70DDC3D8" FromRole="Photo" ToRole="Album" />
        </EntityType>
        <Association Name="FK__Photo__PictureId__71D1E811">
          <End Type="TooJaVileModel.DataFile" Role="DataFile" Multiplicity="1" />
          <End Type="TooJaVileModel.Photo" Role="Photo" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DataFile">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Photo">
              <PropertyRef Name="PictureId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityType Name="Album">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" Nullable="false" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="CreatorId" Type="Int32" Nullable="false" />
          <Property Name="Description" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="CoverPictureId" Type="Int32" />
          <Property Name="Created" Type="DateTime" Nullable="false" Precision="3" />
          <NavigationProperty Name="Person" Relationship="TooJaVileModel.FK__Album__CreatorId__6E01572D" FromRole="Album" ToRole="Person" />
          <NavigationProperty Name="Photos" Relationship="TooJaVileModel.FK__Photo__AlbumId__70DDC3D8" FromRole="Album" ToRole="Photo" />
          <NavigationProperty Name="Vacations" Relationship="TooJaVileModel.FK__Vacation__AlbumI__72C60C4A" FromRole="Album" ToRole="Vacation" />
        </EntityType>
        <Association Name="FK__Album__CreatorId__6E01572D">
          <End Type="TooJaVileModel.Person" Role="Person" Multiplicity="1" />
          <End Type="TooJaVileModel.Album" Role="Album" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Person">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Album">
              <PropertyRef Name="CreatorId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Photo__AlbumId__70DDC3D8">
          <End Type="TooJaVileModel.Album" Role="Album" Multiplicity="1" />
          <End Type="TooJaVileModel.Photo" Role="Photo" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Album">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Photo">
              <PropertyRef Name="AlbumId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Vacation__AlbumI__72C60C4A">
          <End Type="TooJaVileModel.Album" Role="Album" Multiplicity="0..1" />
          <End Type="TooJaVileModel.Vacation" Role="Vacation" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Album">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Vacation">
              <PropertyRef Name="AlbumId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="TooJaVileModelStoreContainer" CdmEntityContainer="TooJaVileEntities">
          <EntitySetMapping Name="DataFiles">
            <EntityTypeMapping TypeName="TooJaVileModel.DataFile">
              <MappingFragment StoreEntitySet="DataFile">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Content" ColumnName="Content" />
                <ScalarProperty Name="ContentType" ColumnName="ContentType" />
                <ScalarProperty Name="FileName" ColumnName="FileName" />
                <ScalarProperty Name="Created" ColumnName="Created" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Departments">
            <EntityTypeMapping TypeName="TooJaVileModel.Department">
              <MappingFragment StoreEntitySet="Department">
                <ScalarProperty Name="PictureId" ColumnName="PictureId" />
                <ScalarProperty Name="SortId" ColumnName="SortId" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="People">
            <EntityTypeMapping TypeName="TooJaVileModel.Person">
              <MappingFragment StoreEntitySet="Person">
                <ScalarProperty Name="VacationDays" ColumnName="VacationDays" />
                <ScalarProperty Name="IsStudent" ColumnName="IsStudent" />
                <ScalarProperty Name="ParentId" ColumnName="ParentId" />
                <ScalarProperty Name="IsAccountant" ColumnName="IsAccountant" />
                <ScalarProperty Name="IsManager" ColumnName="IsManager" />
                <ScalarProperty Name="DepartmentId" ColumnName="DepartmentId" />
                <ScalarProperty Name="PictureId" ColumnName="PictureId" />
                <ScalarProperty Name="BirthDate" ColumnName="BirthDate" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Vacations">
            <EntityTypeMapping TypeName="TooJaVileModel.Vacation">
              <MappingFragment StoreEntitySet="Vacation">
                <ScalarProperty Name="AlbumId" ColumnName="AlbumId" />
                <ScalarProperty Name="VacationType" ColumnName="VacationType" />
                <ScalarProperty Name="VacationState" ColumnName="VacationState" />
                <ScalarProperty Name="EndDate" ColumnName="EndDate" />
                <ScalarProperty Name="StartDate" ColumnName="StartDate" />
                <ScalarProperty Name="PersonId" ColumnName="PersonId" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Photos">
            <EntityTypeMapping TypeName="TooJaVileModel.Photo">
              <MappingFragment StoreEntitySet="Photo">
                <ScalarProperty Name="Created" ColumnName="Created" />
                <ScalarProperty Name="PictureId" ColumnName="PictureId" />
                <ScalarProperty Name="AlbumId" ColumnName="AlbumId" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Albums">
            <EntityTypeMapping TypeName="TooJaVileModel.Album">
              <MappingFragment StoreEntitySet="Album">
                <ScalarProperty Name="Created" ColumnName="Created" />
                <ScalarProperty Name="CoverPictureId" ColumnName="CoverPictureId" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="CreatorId" ColumnName="CreatorId" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>